tweet_vert_scroller:
  label: Tweet Scroller
  namespace: Organisms/TM - Twitter
  use: '@organisms/tm-twit/tweet-vert-scroller/tweet-vert-scroller.twig'
  description: Tweet Scroller
  libraries:
    - tweet_vert_scroller_lib:
        css:
          component:
            ../styles/tweet-vert-scroller.css: {}

  fields:
    tweets:
      type: object
      label: Items
      description: Items
      preview:
        - timeago: about 2 hours ago
          text: 09:13 Bishops Stortford to Stratford (09:52 Meridian Water) is now
            expected to be 10 minutes late due to cows on the track.
          handle_name: '@Test'
          handle_url: www.train-operator.co.uk
          class: bg-primary
        - timeago: about 2 hours ago
          text: Now expected to be 10 minutes late due to cows on the track.
          handle_name: '@Test'
          handle_url: www.train-operator.co.uk
          class: bg-warning
        - timeago: about 2 hours ago
          text: 3 expected to be 10 minutes late due to cows on the track.
          handle_name: '@Test'
          handle_url: www.train-operator.co.uk
          class: bg-black
    follow_text:
      type: string
      label: Follow text
      description: Follow text
      preview: Follow us on Twitter
    follow_url:
      type: string
      label: Follow URL
      description: Follow URL
      preview: https://twitter.com
    no_results:
      type: string
      label: No results text
      description: No results text
      preview: There are no results
